/**
 * @(#)DanceStepModel.
 * Copyright © 2012 jbundle.org. All rights reserved.
 * GPL3 Open Source Software License.
 */
package org.jbundle.model.app.dance.db;

import org.jbundle.model.db.*;

public interface DanceStepModel extends Rec
{

    //public static final String ID = ID;
    //public static final String LAST_CHANGED = LAST_CHANGED;
    //public static final String DELETED = DELETED;
    public static final String DANCE_ID = "DanceID";
    public static final String CLASS = "Class";
    public static final String DATE = "Date";
    public static final String DESCRIPTION = "Description";
    public static final String MOVE_CLASS_ID = "MoveClassID";
    public static final String DANCE_TYPE_ID = "DanceTypeID";
    public static final String HAND_POSITION_ID = "HandPositionID";
    public static final String DANCE_POSITION_IN_ID = "DancePositionInID";
    public static final String DANCE_POSITION_OUT_ID = "DancePositionOutID";
    public static final String DANCE_STUDIO_ID = "DanceStudioID";
    public static final String DANCE_TEACHER_ID = "DanceTeacherID";
    public static final String DANCE_CLASS_ID = "DanceClassID";
    public static final String ALIGNMENT_IN_ID = "AlignmentInID";
    public static final String ALIGNMENT_OUT_ID = "AlignmentOutID";
    public static final String DANCE_DIRECTION_ID = "DanceDirectionID";
    public static final String DANCE_FOOT_IN = "DanceFootIn";
    public static final String DANCE_FOOT_OUT = "DanceFootOut";
    public static final String ROTATION = "Rotation";
    public static final String ARTISTIC_CLASS_ID = "ArtisticClassID";
    public static final String COMMENT = "Comment";
    public static final String LADYS_STEPS = "LadysSteps";
    public static final String NOTES = "Notes";

    public static final String DESCRIPTION_KEY = "Description";

    public static final String DANCE_ID_KEY = "DanceID";

    public static final String DANCE_POSITION_IN_KEY = "DancePositionIn";

    public static final String DANCE_POSITION_OUT_KEY = "DancePositionOut";

    public static final String DATE_KEY = "Date";
    public static final String DANCE_STEP_SCREEN_CLASS = "org.jbundle.app.dance.screen.DanceStepScreen";
    public static final String DANCE_STEP_GRID_SCREEN_CLASS = "org.jbundle.app.dance.screen.DanceStepGridScreen";

    public static final String DANCE_STEP_FILE = "DanceStep";
    public static final String THIN_CLASS = "org.jbundle.thin.app.dance.db.DanceStep";
    public static final String THICK_CLASS = "org.jbundle.app.dance.db.DanceStep";

}
